<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>de.l3s.gossen</groupId>
  <artifactId>utils</artifactId>
  <version>0.2-SNAPSHOT</version>

  <properties>
    <guava.version>14.0-rc2</guava.version>
    <jodatime.version>2.1</jodatime.version>
    <opennlp.version>1.5.2-incubating</opennlp.version>
    <gate.version>7.2-SNAPSHOT</gate.version>
    <args4j.version>2.0.16</args4j.version>
    <slf4j.version>1.7.2</slf4j.version>
  </properties>

  <dependencies>
    <dependency>
      <groupId>com.google.guava</groupId>
      <artifactId>guava</artifactId>
      <version>${guava.version}</version>
    </dependency>
    <!-- for @Immutable etc annotations -->
    <dependency>
      <groupId>com.google.code.findbugs</groupId>
      <artifactId>jsr305</artifactId>
      <version>1.3.9</version>
      <scope>compile</scope>
    </dependency>
    <!-- for PerformanceMonitor -->
    <dependency>
      <groupId>org.apache.opennlp</groupId>
      <artifactId>opennlp-tools</artifactId>
      <version>${opennlp.version}</version>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>joda-time</groupId>
      <artifactId>joda-time</artifactId>
      <version>${jodatime.version}</version>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>args4j</groupId>
      <artifactId>args4j</artifactId>
      <version>${args4j.version}</version>
      <optional>true</optional>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-api</artifactId>
      <version>${slf4j.version}</version>
    </dependency>
    <dependency>
      <groupId>javax.inject</groupId>
      <artifactId>javax.inject</artifactId>
      <version>1</version>
    </dependency>
  </dependencies>

  <parent>
    <groupId>de.l3s.gossen</groupId>
    <artifactId>maven-parent</artifactId>
    <version>0.2</version>
  </parent>
  <scm>
    <developerConnection>scm:git:ssh://git@bitbucket.org/GerhardGossen/utils.git/</developerConnection>
    <url>https://bitbucket.org/GerhardGossen/utils/</url>
  </scm>
</project>